summaryrefslogtreecommitdiff
path: root/debian/zephyr-server.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/zephyr-server.postinst')
-rw-r--r--debian/zephyr-server.postinst61
1 files changed, 61 insertions, 0 deletions
diff --git a/debian/zephyr-server.postinst b/debian/zephyr-server.postinst
new file mode 100644
index 0000000..014ab5e
--- /dev/null
+++ b/debian/zephyr-server.postinst
@@ -0,0 +1,61 @@
+#! /bin/sh
+# postinst script for zephyr
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ if test ! -f /etc/zephyr/server.list; then
+ # if there's a server.list file, don't mess with it
+ . /usr/share/debconf/confmodule
+
+ db_version 2.0
+
+ db_set zephyr-server/read_conf true
+
+ db_get zephyr-server/servers || true
+ : > /etc/zephyr/server.list
+ for i in $RET
+ do
+ echo $i >> /etc/zephyr/server.list
+ done
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+